summary refs log tree commit diff
path: root/kokoro
diff options
context:
space:
mode:
Diffstat (limited to 'kokoro')
-rwxr-xr-xkokoro/build.sh19
-rw-r--r--kokoro/presubmit.cfg3
2 files changed, 22 insertions, 0 deletions
diff --git a/kokoro/build.sh b/kokoro/build.sh
new file mode 100755
index 0000000..1d0acb9
--- /dev/null
+++ b/kokoro/build.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+# Copyright 2018 The Chromium OS Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -ex
+
+main() {
+    if [ -z "${KOKORO_ARTIFACTS_DIR}" ]; then
+        echo "This script must be run in kokoro"
+        exit 1
+    fi
+
+    local src_root="${KOKORO_ARTIFACTS_DIR}"/git/crosvm
+
+    return 0
+}
+
+main "$@"
diff --git a/kokoro/presubmit.cfg b/kokoro/presubmit.cfg
new file mode 100644
index 0000000..4f52557
--- /dev/null
+++ b/kokoro/presubmit.cfg
@@ -0,0 +1,3 @@
+# Format: //devtools/kokoro/config/proto/build.proto
+
+build_file: "crosvm/kokoro/build.sh"